
%global cargo_version nightly
%global staticprefix cargo-%{cargo_version}-x86_64-unknown-linux-gnu

%global debug_package %{nil}
# Do not check any files in docdir for requires
%global __requires_exclude_from ^%{_bindir}/.*$

Name:           cargo-binary
Version:        %{cargo_version}
Release:        0.20141228%{?dist}
Summary:        Rust's package manager and build tool

License:        ASL 2.0, MIT
URL:            http://www.creates.io
Source0:        https://static.rust-lang.org/cargo-dist/%{staticprefix}.tar.gz

Requires:       rust-binary >= 0.12.0

ExclusiveArch:  x86_64


%description
This package is wrapping the official binary builds.


%prep
%setup -q -n "%{staticprefix}"


%build
# Nothing

%install
./install.sh \
    --prefix=%{buildroot}/%{_prefix} --libdir=%{buildroot}/%{_libdir} \
    --disable-verify

# Remove buildroot from manifest
sed -i "s#^%{buildroot}##" %{buildroot}/%{_libdir}/cargo/manifest

# Remove zsh additions
rm -rf %{buildroot}/%{_datadir}/zsh

# Move etc
mv -v %{buildroot}/%{_usr}/etc %{buildroot}/%{_sysconfdir}


%files
%doc %{_datadir}/doc/cargo/
%{_bindir}/cargo
%{_libdir}/cargo
%{_sysconfdir}/bash_completion.d/cargo
%{_datadir}/man/*


%changelog
* Sun Dec 28 2014 Fabian Deutsch <fabiand@fedoraproject.org> - 0.20141228
- Initial package

